<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context\Admin;

use Dedi\SyliusStockHistoryPlugin\Context\InventoryLogContextInterface;
use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;

class VariantEditContext implements InventoryLogContextInterface
{
    public static function getType(): string
    {
        return InventoryLogEntryType::ADMIN_VARIANT_EDIT->value;
    }

    public function getRoutes(): array
    {
        return [
            'sylius_admin_product_variant_update',
        ];
    }
}
