<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context\Api;

use Dedi\SyliusStockHistoryPlugin\Context\InventoryLogContextInterface;
use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;

class OrderCancelContext implements InventoryLogContextInterface
{
    public static function getType(): string
    {
        return InventoryLogEntryType::API_ORDER_CANCEL->value;
    }

    public function getRoutes(): array
    {
        return [
            'api_orders_admin_cancel_item',
        ];
    }
}
